- Qt 6.10
- Qt 3D
- QML Types
- Qt3D.Render (Deprecated)
- Light
- Qt 6.10.1 Reference Documentation

# Light QML Type

Encapsulate a QAbstractLight object in a Qt 3D scene. More...

Import Statement: | `import Qt3D.Render 2.10`
Inherited By: | DirectionalLight, PointLight, and SpotLight
Status: | Deprecated

- List of all members, including inherited members

## Properties

- type : enumeration

## Detailed Description

## Property Documentation

type : enumeration `[read-only]`

Holds the particular type of light.

Constant | Description
--- | ---
`Light.PointLight` | A point light
`Light.DirectionalLight` | A directional light
`Light.SpotLight` | a spot light